/***************************************************************************
	                       main_widgetdata.cpp
                             -------------------
    begin                : Mon Mar 27 2000
    copyright            : (C) 2000 by Jan Schaumann
    email                : jschauma@stevens-tech.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapp.h>
#include "main_widget.h"

#include <iostream>

using namespace std;

void  main_widget::initDialog()
{
		num_of_boxes=65;
		this->setMinimumSize (450, 400);
		this->setFocus();
		this->setCaption("KUnit " VERSION " - The KDE Unit Konverter");

		QLabel_1= new QLabel(this,"NoName");
		QLabel_1->setGeometry(20,40,70,30);
		QLabel_1->setMinimumSize(0,0);
		QLabel_1->setText("Category:");

		QLabel_2= new QLabel(this,"NoName");
		QLabel_2->setGeometry(20,90,50,30);
		QLabel_2->setMinimumSize(0,0);
		QLabel_2->setText("From:");

		QLabel_3= new QLabel(this,"NoName");
		QLabel_3->setGeometry(20,130,30,30);
		QLabel_3->setMinimumSize(0,0);
		QLabel_3->setText("To:");

		QLabel_4= new QLabel(this,"NoName");
		QLabel_4->setGeometry(20,180,110,30);
		QLabel_4->setMinimumSize(0,0);
		QLabel_4->setText("Value to convert:");

		QLabel_5= new QLabel(this,"NoName");
		QLabel_5->setGeometry(20,230,50,30);
		QLabel_5->setMinimumSize(0,0);
		QLabel_5->setText("Factor:");

		QLabel_6= new QLabel(this,"NoName");
		QLabel_6->setGeometry(20,280,50,30);
		QLabel_6->setMinimumSize(0,0);
		QLabel_6->setText("Result:");

		QComboBox_1= new QComboBox(this,"Category");
		QComboBox_1->setGeometry(150,40,200,30);
		QComboBox_1->setMinimumSize(0,0);
		QComboBox_1->show();
		QComboBox_1->setAutoResize(false);
		QComboBox_1->insertItem("Acceleration");
		QComboBox_1->insertItem("Angle");
		QComboBox_1->insertItem("Angular acceleration");
		QComboBox_1->insertItem("Angular velocity");
		QComboBox_1->insertItem("Area");
		QComboBox_1->insertItem("Bits and Bytes");
		QComboBox_1->insertItem("Capacitance");
		QComboBox_1->insertItem("Charge");
		QComboBox_1->insertItem("Color");
		QComboBox_1->insertItem("Current");
		QComboBox_1->insertItem("Energy or Work");
		QComboBox_1->insertItem("Force");
		QComboBox_1->insertItem("Illuminance");
		QComboBox_1->insertItem("Inductance");
		QComboBox_1->insertItem("Length");
		QComboBox_1->insertItem("Luminance");
		QComboBox_1->insertItem("Magnetic Flux");
		QComboBox_1->insertItem("Mass (Weight)");
		QComboBox_1->insertItem("Power");
		QComboBox_1->insertItem("Pressure");
		QComboBox_1->insertItem("Shoe Sizes");
		QComboBox_1->insertItem("SI prefixes");
		QComboBox_1->insertItem("Specific heat");
		QComboBox_1->insertItem("Temperature");
		QComboBox_1->insertItem("Thermal conductivity");
		QComboBox_1->insertItem("Time");
		QComboBox_1->insertItem("Torque");
		QComboBox_1->insertItem("Velocity");
		QComboBox_1->insertItem("Viscosity (daynamic)");
		QComboBox_1->insertItem("Viscosity (kinematic)");
		QComboBox_1->insertItem("Voltage");
		QComboBox_1->insertItem("Volume");

		HexEdit= new QLineEdit(this,"Convert_to");
		HexEdit->setGeometry(150,180,270,30);
		HexEdit->setMinimumSize(0,0);
		HexEdit->hide();
		HexEdit->setText("0");

		QLineEdit_1= new QLineEdit(this,"Convert_to");
		QLineEdit_1->setGeometry(150,180,270,30);
		QLineEdit_1->setMinimumSize(0,0);
		QLineEdit_1->show();
		QLineEdit_1->setText("0");

		QLineEdit_2= new QLineEdit(this,"Factor");
		QLineEdit_2->setGeometry(150,230,270,30);
		QLineEdit_2->setMinimumSize(0,0);
		QLineEdit_2->show();
		QLineEdit_2->setText("1.0");

		QLineEdit_3= new QLineEdit(this,"Result");
		QLineEdit_3->setGeometry(150,280,270,30);
		QLineEdit_3->setMinimumSize(0,0);
		QLineEdit_3->show();
		QLineEdit_3->setText("0");

		redLabel1 = new QLabel(this,"red");
		redLabel1->setGeometry(150,180,30,30);
		redLabel1->setMinimumSize(0,0);
		redLabel1->setText("Red:");
		redLabel1->hide();

		Red1 = new QLineEdit(this,"from red");
		Red1->setGeometry(185,180,30,30);
		Red1->setMinimumSize(0,0);
		Red1->setText("0");
		Red1->hide();
		Red1->setMaxLength(3);

		greenLabel1 = new QLabel(this,"green");
		greenLabel1->setGeometry(227,180,50,30);
		greenLabel1->setMinimumSize(0,0);
		greenLabel1->setText("Green:");
		greenLabel1->hide();

		Green1 = new QLineEdit(this,"from green");
		Green1->setGeometry(280,180,30,30);
		Green1->setMinimumSize(0,0);
		Green1->setText("0");
		Green1->hide();
		Green1->setMaxLength(3);

		blueLabel1 = new QLabel(this,"blue");
		blueLabel1->setGeometry(327,180,40,30);
		blueLabel1->setMinimumSize(0,0);
		blueLabel1->setText("Blue:");
		blueLabel1->hide();

		Blue1 = new QLineEdit(this,"from blue");
		Blue1->setGeometry(370,180,30,30);
		Blue1->setMinimumSize(0,0);
		Blue1->setText("0");
		Blue1->hide();
		Blue1->setMaxLength(3);

		redLabel2 = new QLabel(this,"red");
		redLabel2->setGeometry(150,280,30,30);
		redLabel2->setMinimumSize(0,0);
		redLabel2->setText("Red:");
		redLabel2->hide();

		Red2 = new QLineEdit(this,"from red");
		Red2->setGeometry(185,280,30,30);
		Red2->setMinimumSize(0,0);
		Red2->setText("0");
		Red2->hide();
		Red2->setMaxLength(3);

		greenLabel2 = new QLabel(this,"green");
		greenLabel2->setGeometry(227,280,50,30);
		greenLabel2->setMinimumSize(0,0);
		greenLabel2->setText("Green:");
		greenLabel2->hide();

		Green2 = new QLineEdit(this,"from green");
		Green2->setGeometry(280,280,30,30);
		Green2->setMinimumSize(0,0);
		Green2->setText("0");
		Green2->hide();
		Green2->setMaxLength(3);

		blueLabel2 = new QLabel(this,"blue");
		blueLabel2->setGeometry(327,280,40,30);
		blueLabel2->setMinimumSize(0,0);
		blueLabel2->setText("Blue:");
		blueLabel2->hide();

		Blue2 = new QLineEdit(this,"from blue");
		Blue2->setGeometry(370,280,30,30);
		Blue2->setMinimumSize(0,0);
		Blue2->setText("0");
		Blue2->hide();
		Blue2->setMaxLength(3);

		QPushButton_1= new QPushButton(this,"Byebye");
		QPushButton_1->setGeometry(320,340,100,30);
		QPushButton_1->setMinimumSize(0,0);
		QPushButton_1->show();
		QPushButton_1->setText("Quit");

		QPushButton_2= new QPushButton(this,"About");
		QPushButton_2->setGeometry(180,340,100,30);
		QPushButton_2->setMinimumSize(0,0);
		QPushButton_2->show();
		QPushButton_2->setText("About");

		QPushButton_3= new QPushButton(this,"Info");
		QPushButton_3->setGeometry(40,340,100,30);
		QPushButton_3->setMinimumSize(0,0);
		QPushButton_3->show();
		QPushButton_3->setText("Explain");

		QPushButton_4= new QPushButton(this,"Info");
		QPushButton_4->setGeometry(230,230,100,30);
		QPushButton_4->setMinimumSize(0,0);
		QPushButton_4->hide();
		QPushButton_4->setText("Convert");

		for (int i=0; i<=num_of_boxes; i++) {
				all[i] = new QComboBox(this,"");
		}

		QComboBox_2= all[0];
		QComboBox_2->setGeometry(150,90,270,30);
		QComboBox_2->setMinimumSize(0,0);
		QComboBox_2->show();
		QComboBox_2->insertItem("centimeters per second squared");
		QComboBox_2->insertItem("feet per second squared");
		QComboBox_2->insertItem("g's (gravity)");
		QComboBox_2->insertItem("inches per second squared");
		QComboBox_2->insertItem("kilometers per hour second");
		QComboBox_2->insertItem("meters per second squared");

		QComboBox_3= all[1];
		QComboBox_3->setGeometry(150,130,270,30);
		QComboBox_3->setMinimumSize(0,0);
		QComboBox_3->show();
		QComboBox_3->insertItem("centimeters per second squared");
		QComboBox_3->insertItem("feet per second squared");
		QComboBox_3->insertItem("g's (gravity)");
		QComboBox_3->insertItem("inches per second squared");
		QComboBox_3->insertItem("kilometers per hour second");
		QComboBox_3->insertItem("meters per second squared");

		QComboBox_4= all[2];
		QComboBox_4->setGeometry(150,90,270,30);
		QComboBox_4->setMinimumSize(0,0);
		QComboBox_4->hide();
		QComboBox_4->insertItem("degree");
		QComboBox_4->insertItem("grade");
		QComboBox_4->insertItem("minute");
		QComboBox_4->insertItem("quadrant");
		QComboBox_4->insertItem("radian");
		QComboBox_4->insertItem("revolution");
		QComboBox_4->insertItem("second");

		QComboBox_5= all[3];
		QComboBox_5->setGeometry(150,130,270,30);
		QComboBox_5->setMinimumSize(0,0);
		QComboBox_5->hide();
		QComboBox_5->insertItem("degree");
		QComboBox_5->insertItem("grade");
		QComboBox_5->insertItem("minute");
		QComboBox_5->insertItem("quadrant");
		QComboBox_5->insertItem("radian");
		QComboBox_5->insertItem("revolution");
		QComboBox_5->insertItem("second");

		QComboBox_6= all[4];
		QComboBox_6->setGeometry(150,90,270,30);
		QComboBox_6->setMinimumSize(0,0);
		QComboBox_6->hide();
		QComboBox_6->insertItem("radian per second squared");
		QComboBox_6->insertItem("revolution per minute second");
		QComboBox_6->insertItem("revolution per minute squared");
		QComboBox_6->insertItem("revolution per second squared");

		QComboBox_7= all[5];
		QComboBox_7->setGeometry(150,130,270,30);
		QComboBox_7->setMinimumSize(0,0);
		QComboBox_7->hide();
		QComboBox_7->insertItem("radian per second squared");
		QComboBox_7->insertItem("revolution per minute second");
		QComboBox_7->insertItem("revoultion per minute squared");
		QComboBox_7->insertItem("revolution per second squared");

		QComboBox_8= all[6];
		QComboBox_8->setGeometry(150,90,270,30);
		QComboBox_8->setMinimumSize(0,0);
		QComboBox_8->hide();
		QComboBox_8->insertItem("degrees per hour");
		QComboBox_8->insertItem("degrees per minute");
		QComboBox_8->insertItem("degrees per second");
		QComboBox_8->insertItem("radians per second");
		QComboBox_8->insertItem("revolutions per hour");
		QComboBox_8->insertItem("revolutions per minute");
		QComboBox_8->insertItem("revolutions per second");

		QComboBox_9= all[7];
		QComboBox_9->setGeometry(150,130,270,30);
		QComboBox_9->setMinimumSize(0,0);
		QComboBox_9->hide();
		QComboBox_9->insertItem("degrees per hour");
		QComboBox_9->insertItem("degrees per minute");
		QComboBox_9->insertItem("degrees per second");
		QComboBox_9->insertItem("radians per second");
		QComboBox_9->insertItem("revolutions per hour");
		QComboBox_9->insertItem("revolutions per minute");
		QComboBox_9->insertItem("revolutions per second");

		QComboBox_10= all[8];
		QComboBox_10->setGeometry(150,90,270,30);
		QComboBox_10->setMinimumSize(0,0);
		QComboBox_10->hide();
		QComboBox_10->insertItem("acre");
		QComboBox_10->insertItem("barn");
		QComboBox_10->insertItem("circular mil");
		QComboBox_10->insertItem("darcy");
		QComboBox_10->insertItem("hectare");
		QComboBox_10->insertItem("square centimeter");
		QComboBox_10->insertItem("square foot");
		QComboBox_10->insertItem("square inch");
		QComboBox_10->insertItem("square kilometer");
		QComboBox_10->insertItem("square meter");
		QComboBox_10->insertItem("square mile");
		QComboBox_10->insertItem("square milimeter");
		QComboBox_10->insertItem("square yard");

		QComboBox_11= all[9];
		QComboBox_11->setGeometry(150,130,270,30);
		QComboBox_11->setMinimumSize(0,0);
		QComboBox_11->hide();
		QComboBox_11->insertItem("acre");
		QComboBox_11->insertItem("barn");
		QComboBox_11->insertItem("circular mil");
		QComboBox_11->insertItem("darcy");
		QComboBox_11->insertItem("hectare");
		QComboBox_11->insertItem("square centimeter");
		QComboBox_11->insertItem("square foot");
		QComboBox_11->insertItem("square inch");
		QComboBox_11->insertItem("square kilometer");
		QComboBox_11->insertItem("square meter");
		QComboBox_11->insertItem("square mile");
		QComboBox_11->insertItem("square milimeter");
		QComboBox_11->insertItem("square yard");

		QComboBox_12= all[10];
		QComboBox_12->setGeometry(150,90,270,30);
		QComboBox_12->setMinimumSize(0,0);
		QComboBox_12->hide();
		QComboBox_12->insertItem("bits");
		QComboBox_12->insertItem("byte");
		QComboBox_12->insertItem("block");
		QComboBox_12->insertItem("kilobyte");
		QComboBox_12->insertItem("megabyte");
		QComboBox_12->insertItem("gigabyte");
		QComboBox_12->insertItem("terabyte");

		QComboBox_13= all[11];
		QComboBox_13->setGeometry(150,130,270,30);
		QComboBox_13->setMinimumSize(0,0);
		QComboBox_13->hide();
		QComboBox_13->insertItem("bits");
		QComboBox_13->insertItem("byte");
		QComboBox_13->insertItem("block");
		QComboBox_13->insertItem("kilobyte");
		QComboBox_13->insertItem("megabyte");
		QComboBox_13->insertItem("gigabyte");
		QComboBox_13->insertItem("terabyte");

		QComboBox_14= all[12];
		QComboBox_14->setGeometry(150,90,270,30);
		QComboBox_14->setMinimumSize(0,0);
		QComboBox_14->hide();
		QComboBox_14->insertItem("abfarad");
		QComboBox_14->insertItem("electromagnetic unit of capacitance");
		QComboBox_14->insertItem("electrostatic unit of capacitance");
		QComboBox_14->insertItem("farad");
		QComboBox_14->insertItem("microfarad");
		QComboBox_14->insertItem("picofarad");
		QComboBox_14->insertItem("statfarad");

		QComboBox_15= all[13];
		QComboBox_15->setGeometry(150,130,270,30);
		QComboBox_15->setMinimumSize(0,0);
		QComboBox_15->hide();
		QComboBox_15->insertItem("abfarad");
		QComboBox_15->insertItem("electromagnetic unit of capacitance");
		QComboBox_15->insertItem("electrostatic unit of capacitance");
		QComboBox_15->insertItem("farad");
		QComboBox_15->insertItem("microfarad");
		QComboBox_15->insertItem("picofarad");
		QComboBox_15->insertItem("statfarad");

		QComboBox_16= all[14];
		QComboBox_16->setGeometry(150,90,270,30);
		QComboBox_16->setMinimumSize(0,0);
		QComboBox_16->hide();
		QComboBox_16->insertItem("abcoulomb");
		QComboBox_16->insertItem("ampere hour");
		QComboBox_16->insertItem("coulomb");
		QComboBox_16->insertItem("faraday (carbon 12)");
		QComboBox_16->insertItem("faraday (chemical)");
		QComboBox_16->insertItem("faraday (physical)");
		QComboBox_16->insertItem("statcoulomb");

		QComboBox_17= all[15];
		QComboBox_17->setGeometry(150,130,270,30);
		QComboBox_17->setMinimumSize(0,0);
		QComboBox_17->hide();
		QComboBox_17->insertItem("abcoulomb");
		QComboBox_17->insertItem("ampere hour");
		QComboBox_17->insertItem("coulomb");
		QComboBox_17->insertItem("faraday (carbon 12)");
		QComboBox_17->insertItem("faraday (chemical)");
		QComboBox_17->insertItem("faraday (physical)");
		QComboBox_17->insertItem("statcoulomb");

		QComboBox_18= all[16];
		QComboBox_18->setGeometry(150,90,270,30);
		QComboBox_18->setMinimumSize(0,0);
		QComboBox_18->hide();
		QComboBox_18->insertItem("RGB");
		QComboBox_18->insertItem("Hexadecimal");

		QComboBox_19= all[17];
		QComboBox_19->setGeometry(150,130,270,30);
		QComboBox_19->setMinimumSize(0,0);
		QComboBox_19->hide();
		QComboBox_19->insertItem("RGB");
		QComboBox_19->insertItem("Hexadecimal");

		QComboBox_20= all[18];
		QComboBox_20->setGeometry(150,90,270,30);
		QComboBox_20->setMinimumSize(0,0);
		QComboBox_20->hide();
		QComboBox_20->insertItem("abampere");
		QComboBox_20->insertItem("ampere");
		QComboBox_20->insertItem("electromagnetic unit of current");
		QComboBox_20->insertItem("electrostatic unit of current");
		QComboBox_20->insertItem("gilbert");
		QComboBox_20->insertItem("microampere");
		QComboBox_20->insertItem("miliampere");
		QComboBox_20->insertItem("statampere");

		QComboBox_21= all[19];
		QComboBox_21->setGeometry(150,130,270,30);
		QComboBox_21->setMinimumSize(0,0);
		QComboBox_21->hide();
		QComboBox_21->insertItem("abampere");
		QComboBox_21->insertItem("ampere");
		QComboBox_21->insertItem("electromagnetic unit of current");
		QComboBox_21->insertItem("electrostatic unit of current");
		QComboBox_21->insertItem("gilbert");
		QComboBox_21->insertItem("microampere");
		QComboBox_21->insertItem("miliampere");
		QComboBox_21->insertItem("statampere");

		QComboBox_22= all[20];
		QComboBox_22->setGeometry(150,90,270,30);
		QComboBox_22->setMinimumSize(0,0);
		QComboBox_22->hide();
		QComboBox_22->insertItem("british thermal unit (int'l)");
		QComboBox_22->insertItem("british thermal unit (mean)");
		QComboBox_22->insertItem("british thermal unit (thermodynamic)");
		QComboBox_22->insertItem("calorie (int'l)");
		QComboBox_22->insertItem("calorie (mean)");
		QComboBox_22->insertItem("calorie (thermodynamic)");
		QComboBox_22->insertItem("electron volt");
		QComboBox_22->insertItem("erg");
		QComboBox_22->insertItem("foot pound force");
		QComboBox_22->insertItem("foot poundal");
		QComboBox_22->insertItem("joule");
		QComboBox_22->insertItem("kilocalorie (int'l)");
		QComboBox_22->insertItem("kilocalorie (mean)");
		QComboBox_22->insertItem("kilocalorie (thermodynamic)");
		QComboBox_22->insertItem("kilowatt hour");
		QComboBox_22->insertItem("therms (european)");
		QComboBox_22->insertItem("therms (U.S.)");
		QComboBox_22->insertItem("ton (nuclear equiv, TNT)");
		QComboBox_22->insertItem("watt hour");
		QComboBox_22->insertItem("watt second");

		QComboBox_23= all[21];
		QComboBox_23->setGeometry(150,130,270,30);
		QComboBox_23->setMinimumSize(0,0);
		QComboBox_23->hide();
		QComboBox_23->insertItem("british thermal unit (int'l)");
		QComboBox_23->insertItem("british thermal unit (mean)");
		QComboBox_23->insertItem("british thermal unit (thermodynamic)");
		QComboBox_23->insertItem("calorie (int'l)");
		QComboBox_23->insertItem("calorie (mean)");
		QComboBox_23->insertItem("calorie (thermodynamic)");
		QComboBox_23->insertItem("electron volt");
		QComboBox_23->insertItem("erg");
		QComboBox_23->insertItem("foot pound force");
		QComboBox_23->insertItem("foot poundal");
		QComboBox_23->insertItem("joule");
		QComboBox_23->insertItem("kilocalorie (int'l)");
		QComboBox_23->insertItem("kilocalorie (mean)");
		QComboBox_23->insertItem("kilocalorie (thermodynamic)");
		QComboBox_23->insertItem("kilowatt hour");
		QComboBox_23->insertItem("therms (european)");
		QComboBox_23->insertItem("therms (U.S.)");
		QComboBox_23->insertItem("ton (nuclear equiv, TNT)");
		QComboBox_23->insertItem("watt hour");
		QComboBox_23->insertItem("watt second");

		QComboBox_24= all[22];
		QComboBox_24->setGeometry(150,90,270,30);
		QComboBox_24->setMinimumSize(0,0);
		QComboBox_24->hide();
		QComboBox_24->insertItem("dyne");
		QComboBox_24->insertItem("joules per centimeter");
		QComboBox_24->insertItem("joules per meter");
		QComboBox_24->insertItem("kilogram force");
		QComboBox_24->insertItem("kilopound");
		QComboBox_24->insertItem("newton");
		QComboBox_24->insertItem("ounce force");
		QComboBox_24->insertItem("pound force");
		QComboBox_24->insertItem("poundal");
		QComboBox_24->insertItem("ton force");

		QComboBox_25= all[23];
		QComboBox_25->setGeometry(150,130,270,30);
		QComboBox_25->setMinimumSize(0,0);
		QComboBox_25->hide();
		QComboBox_25->insertItem("dyne");
		QComboBox_25->insertItem("joules per centimeter");
		QComboBox_25->insertItem("joules per meter");
		QComboBox_25->insertItem("kilogram force");
		QComboBox_25->insertItem("kilopound");
		QComboBox_25->insertItem("newton");
		QComboBox_25->insertItem("ounce force");
		QComboBox_25->insertItem("pound force");
		QComboBox_25->insertItem("poundal");
		QComboBox_25->insertItem("ton force");

		QComboBox_26= all[24];
		QComboBox_26->setGeometry(150,90,270,30);
		QComboBox_26->setMinimumSize(0,0);
		QComboBox_26->hide();
		QComboBox_26->insertItem("foot candle (lumens per square foot)");
		QComboBox_26->insertItem("lux (lumens per square meter)");

		QComboBox_27= all[25];
		QComboBox_27->setGeometry(150,130,270,30);
		QComboBox_27->setMinimumSize(0,0);
		QComboBox_27->hide();
		QComboBox_27->insertItem("foot candle (lumens per square foot)");
		QComboBox_27->insertItem("lux (lumens per square meter)");

		QComboBox_28= all[26];
		QComboBox_28->setGeometry(150,90,270,30);
		QComboBox_28->setMinimumSize(0,0);
		QComboBox_28->hide();
		QComboBox_28->insertItem("abhenry");
		QComboBox_28->insertItem("electromagnetic unit of inductance");
		QComboBox_28->insertItem("electrostatic unit of inductance");
		QComboBox_28->insertItem("henry");
		QComboBox_28->insertItem("microhenry");
		QComboBox_28->insertItem("milihenry");
		QComboBox_28->insertItem("stathenry");

		QComboBox_29= all[27];
		QComboBox_29->setGeometry(150,130,270,30);
		QComboBox_29->setMinimumSize(0,0);
		QComboBox_29->hide();
		QComboBox_29->insertItem("abhenry");
		QComboBox_29->insertItem("electromagnetic unit of inductance");
		QComboBox_29->insertItem("electrostatic unit of inductance");
		QComboBox_29->insertItem("henry");
		QComboBox_29->insertItem("microhenry");
		QComboBox_29->insertItem("milihenry");
		QComboBox_29->insertItem("stathenry");

		QComboBox_30= all[28];
		QComboBox_30->setGeometry(150,90,270,30);
		QComboBox_30->setMinimumSize(0,0);
		QComboBox_30->hide();
		QComboBox_30->insertItem("angstrom");
		QComboBox_30->insertItem("astronomical unit");
		QComboBox_30->insertItem("centimeter");
		QComboBox_30->insertItem("chain");
		QComboBox_30->insertItem("fathom");
		QComboBox_30->insertItem("fermi");
		QComboBox_30->insertItem("foot");
		QComboBox_30->insertItem("foot (U.S.)");
		QComboBox_30->insertItem("inch");
		QComboBox_30->insertItem("kilometer");
		QComboBox_30->insertItem("light year");
		QComboBox_30->insertItem("meter");
		QComboBox_30->insertItem("microinch");
		QComboBox_30->insertItem("micron");
		QComboBox_30->insertItem("mile (int'l nautical)");
		QComboBox_30->insertItem("mile (int'l)");
		QComboBox_30->insertItem("mile (U.S. nautical)");
		QComboBox_30->insertItem("mile (U.S. statute)");
		QComboBox_30->insertItem("milimeter");
		QComboBox_30->insertItem("mil");
		QComboBox_30->insertItem("parsec");
		QComboBox_30->insertItem("pica");
		QComboBox_30->insertItem("point");
		QComboBox_30->insertItem("rod");
		QComboBox_30->insertItem("yard");

		QComboBox_31= all[29];
		QComboBox_31->setGeometry(150,130,270,30);
		QComboBox_31->setMinimumSize(0,0);
		QComboBox_31->hide();
		QComboBox_31->insertItem("angstrom");
		QComboBox_31->insertItem("astronomical unit");
		QComboBox_31->insertItem("centimeter");
		QComboBox_31->insertItem("chain");
		QComboBox_31->insertItem("fathom");
		QComboBox_31->insertItem("fermi");
		QComboBox_31->insertItem("foot");
		QComboBox_31->insertItem("foot (U.S.)");
		QComboBox_31->insertItem("inch");
		QComboBox_31->insertItem("kilometer");
		QComboBox_31->insertItem("light year");
		QComboBox_31->insertItem("meter");
		QComboBox_31->insertItem("microinch");
		QComboBox_31->insertItem("micron");
		QComboBox_31->insertItem("mile (int'l nautical)");
		QComboBox_31->insertItem("mile (int'l)");
		QComboBox_31->insertItem("mile (U.S. nautical)");
		QComboBox_31->insertItem("mile (U.S. statute)");
		QComboBox_31->insertItem("milimeter");
		QComboBox_31->insertItem("mil");
		QComboBox_31->insertItem("parsec");
		QComboBox_31->insertItem("pica");
		QComboBox_31->insertItem("point");
		QComboBox_31->insertItem("rod");
		QComboBox_31->insertItem("yard");

		QComboBox_32= all[30];
		QComboBox_32->setGeometry(150,90,270,30);
		QComboBox_32->setMinimumSize(0,0);
		QComboBox_32->hide();
		QComboBox_32->insertItem("candelas per square inch");
		QComboBox_32->insertItem("candelas per square meter");
		QComboBox_32->insertItem("footlambert");
		QComboBox_32->insertItem("lambert");

		QComboBox_33= all[31];
		QComboBox_33->setGeometry(150,130,270,30);
		QComboBox_33->setMinimumSize(0,0);
		QComboBox_33->hide();
		QComboBox_33->insertItem("candelas per square inch");
		QComboBox_33->insertItem("candelas per square meter");
		QComboBox_33->insertItem("footlambert");
		QComboBox_33->insertItem("lambert");

		QComboBox_34= all[32];
		QComboBox_34->setGeometry(150,90,270,30);
		QComboBox_34->setMinimumSize(0,0);
		QComboBox_34->hide();
		QComboBox_34->insertItem("maxwell");
		QComboBox_34->insertItem("unit pole");
		QComboBox_34->insertItem("weber");

		QComboBox_35= all[33];
		QComboBox_35->setGeometry(150,130,270,30);
		QComboBox_35->setMinimumSize(0,0);
		QComboBox_35->hide();
		QComboBox_35->insertItem("maxwell");
		QComboBox_35->insertItem("unit pole");
		QComboBox_35->insertItem("weber");

		QComboBox_36= all[34];
		QComboBox_36->setGeometry(150,90,270,30);
		QComboBox_36->setMinimumSize(0,0);
		QComboBox_36->hide();
		QComboBox_36->insertItem("atomic mass unit");
		QComboBox_36->insertItem("carat");
		QComboBox_36->insertItem("grain");
		QComboBox_36->insertItem("gram");
		QComboBox_36->insertItem("hundredweight (long)");
		QComboBox_36->insertItem("hundredweight (short)");
		QComboBox_36->insertItem("kilogram");
		QComboBox_36->insertItem("kilogram force seconds squared per meter");
		QComboBox_36->insertItem("miligram");
		QComboBox_36->insertItem("ounce (avoirdupois)");
		QComboBox_36->insertItem("ounce (troy or apthecary)");
		QComboBox_36->insertItem("pennyweight");
		QComboBox_36->insertItem("pounds mass (avoirdupois)");
		QComboBox_36->insertItem("pounds mass (troy or apothecary)");
		QComboBox_36->insertItem("slug");
		QComboBox_36->insertItem("stone");
		QComboBox_36->insertItem("ton (assay)");
		QComboBox_36->insertItem("ton (long, 2240 lb)");
		QComboBox_36->insertItem("ton(metric)");
		QComboBox_36->insertItem("ton (short, 2000 lb)");
		QComboBox_36->insertItem("tonne");

		QComboBox_37= all[35];
		QComboBox_37->setGeometry(150,130,270,30);
		QComboBox_37->setMinimumSize(0,0);
		QComboBox_37->hide();
		QComboBox_37->insertItem("atomic mass unit");
		QComboBox_37->insertItem("carat");
		QComboBox_37->insertItem("grain");
		QComboBox_37->insertItem("gram");
		QComboBox_37->insertItem("hundredweight (long)");
		QComboBox_37->insertItem("hundredweight (short)");
		QComboBox_37->insertItem("kilogram");
		QComboBox_37->insertItem("kilogram force seconds squared per meter");
		QComboBox_37->insertItem("miligram");
		QComboBox_37->insertItem("ounce (avoirdupois)");
		QComboBox_37->insertItem("ounce (troy or apthecary)");
		QComboBox_37->insertItem("pennyweight");
		QComboBox_37->insertItem("pounds mass (avoirdupois)");
		QComboBox_37->insertItem("pounds mass (troy or apothecary)");
		QComboBox_37->insertItem("slug");
		QComboBox_37->insertItem("stone");
		QComboBox_37->insertItem("ton (assay)");
		QComboBox_37->insertItem("ton (long, 2240 lb)");
		QComboBox_37->insertItem("ton(metric)");
		QComboBox_37->insertItem("ton (short, 2000 lb)");
		QComboBox_37->insertItem("tonne");

		QComboBox_38= all[36];
		QComboBox_38->setGeometry(150,90,270,30);
		QComboBox_38->setMinimumSize(0,0);
		QComboBox_38->hide();
		QComboBox_38->insertItem("BTU (int'l) per hour ");
		QComboBox_38->insertItem("BTU (int'l) per second");
		QComboBox_38->insertItem("BTU (therm) per hour");
		QComboBox_38->insertItem("BTU (therm) per second");
		QComboBox_38->insertItem("calorie (thermo) per minute");
		QComboBox_38->insertItem("calorie (thermo) per second");
		QComboBox_38->insertItem("ergs per second");
		QComboBox_38->insertItem("foot pounds force per hour");
		QComboBox_38->insertItem("foot pounds force per second");
		QComboBox_38->insertItem("horsepower (550 ft-lb/s)");
		QComboBox_38->insertItem("horsepower (hp boiler)");
		QComboBox_38->insertItem("horsepower (hp electric)");
		QComboBox_38->insertItem("horsepower (hp metric)");
		QComboBox_38->insertItem("horsepower (hp water)");
		QComboBox_38->insertItem("kilocalories per minute");
		QComboBox_38->insertItem("kilocalories per second)");
		QComboBox_38->insertItem("ton (refrigeration)");
		QComboBox_38->insertItem("watt");

		QComboBox_39= all[37];
		QComboBox_39->setGeometry(150,130,270,30);
		QComboBox_39->setMinimumSize(0,0);
		QComboBox_39->hide();
		QComboBox_39->insertItem("BTU (int'l) per hour ");
		QComboBox_39->insertItem("BTU (int'l) per second");
		QComboBox_39->insertItem("BTU (therm) per hour");
		QComboBox_39->insertItem("BTU (therm) per second");
		QComboBox_39->insertItem("calorie (thermo) per minute");
		QComboBox_39->insertItem("calorie (thermo) per second");
		QComboBox_39->insertItem("ergs per second");
		QComboBox_39->insertItem("foot pounds force per hour");
		QComboBox_39->insertItem("foot pounds force per second");
		QComboBox_39->insertItem("horsepower (550 ft-lb/s)");
		QComboBox_39->insertItem("horsepower (hp boiler)");
		QComboBox_39->insertItem("horsepower (hp electric)");
		QComboBox_39->insertItem("horsepower (hp metric)");
		QComboBox_39->insertItem("horsepower (hp water)");
		QComboBox_39->insertItem("kilocalories per minute");
		QComboBox_39->insertItem("kilocalories per second)");
		QComboBox_39->insertItem("ton (refrigeration)");
		QComboBox_39->insertItem("watt");

		QComboBox_40= all[38];
		QComboBox_40->setGeometry(150,90,270,30);
		QComboBox_40->setMinimumSize(0,0);
		QComboBox_40->hide();
		QComboBox_40->insertItem("atmosphere");
		QComboBox_40->insertItem("standard atmosphere");
		QComboBox_40->insertItem("bar");
		QComboBox_40->insertItem("centimeters per mercury");
		QComboBox_40->insertItem("centimeters per water");
		QComboBox_40->insertItem("dyne per square centimeter");
		QComboBox_40->insertItem("foot of water");
		QComboBox_40->insertItem("grams force per square centimeter");
		QComboBox_40->insertItem("inches of mercury (32 F)");
		QComboBox_40->insertItem("inches of mercury (60 F)");
		QComboBox_40->insertItem("inches of water (39.2 F)");
		QComboBox_40->insertItem("inches of water (60 F)");
		QComboBox_40->insertItem("kilogram force per square centimeter");
		QComboBox_40->insertItem("kilogram force per sqaure meter");
		QComboBox_40->insertItem("kilogram force per square milimeter");
		QComboBox_40->insertItem("kilopascals");
		QComboBox_40->insertItem("kilopounds per square inch (kip/in)");
		QComboBox_40->insertItem("kilopounds per square inch (ksi)");
		QComboBox_40->insertItem("micron");
		QComboBox_40->insertItem("milibar");
		QComboBox_40->insertItem("milimeters of mercury");
		QComboBox_40->insertItem("newtons per square meter");
		QComboBox_40->insertItem("pascal");
		QComboBox_40->insertItem("poundals per square foot");
		QComboBox_40->insertItem("pounds per square foot");
		QComboBox_40->insertItem("pounds per square inch (lbf/in)");
		QComboBox_40->insertItem("pounds per square inch (psi)");
		QComboBox_40->insertItem("torr");

		QComboBox_41= all[39];
		QComboBox_41->setGeometry(150,130,270,30);
		QComboBox_41->setMinimumSize(0,0);
		QComboBox_41->hide();
		QComboBox_41->insertItem("atmosphere");
		QComboBox_41->insertItem("standard atmosphere");
		QComboBox_41->insertItem("bar");
		QComboBox_41->insertItem("centimeters per mercury");
		QComboBox_41->insertItem("centimeters per water");
		QComboBox_41->insertItem("dyne per square centimeter");
		QComboBox_41->insertItem("foot of water");
		QComboBox_41->insertItem("grams force per square centimeter");
		QComboBox_41->insertItem("inches of mercury (32 F)");
		QComboBox_41->insertItem("inches of mercury (60 F)");
		QComboBox_41->insertItem("inches of water (39.2 F)");
		QComboBox_41->insertItem("inches of water (60 F)");
		QComboBox_41->insertItem("kilogram force per square centimeter");
		QComboBox_41->insertItem("kilogram force per sqaure meter");
		QComboBox_41->insertItem("kilogram force per square milimeter");
		QComboBox_41->insertItem("kilopascals");
		QComboBox_41->insertItem("kilopounds per square inch (kip/in)");
		QComboBox_41->insertItem("kilopounds per square inch (ksi)");
		QComboBox_41->insertItem("micron");
		QComboBox_41->insertItem("milibar");
		QComboBox_41->insertItem("milimeters of mercury");
		QComboBox_41->insertItem("newtons per square meter");
		QComboBox_41->insertItem("pascal");
		QComboBox_41->insertItem("poundals per square foot");
		QComboBox_41->insertItem("pounds per square foot");
		QComboBox_41->insertItem("pounds per square inch (lbf/in)");
		QComboBox_41->insertItem("pounds per square inch (psi)");
		QComboBox_41->insertItem("torr");

		QComboBox_42=all[40];
		QComboBox_42->setGeometry(150,90,270,30);
		QComboBox_42->setMinimumSize(0,0);
		QComboBox_42->hide();
		QComboBox_42->insertItem("European");
		QComboBox_42->insertItem("UK");
		QComboBox_42->insertItem("US (female)");
		QComboBox_42->insertItem("US (male)");

		QComboBox_43=all[41];
		QComboBox_43->setGeometry(150,130,270,30);
		QComboBox_43->setMinimumSize(0,0);
		QComboBox_43->hide();
		QComboBox_43->insertItem("European");
		QComboBox_43->insertItem("UK");
		QComboBox_43->insertItem("US (female)");
		QComboBox_43->insertItem("US (male)");

		QComboBox_44=all[42];
		QComboBox_44->setGeometry(150,90,270,30);
		QComboBox_44->setMinimumSize(0,0);
		QComboBox_44->hide();
		QComboBox_44->insertItem("atto");
		QComboBox_44->insertItem("base unit");
		QComboBox_44->insertItem("centi");
		QComboBox_44->insertItem("deci");
		QComboBox_44->insertItem("deka");
		QComboBox_44->insertItem("exa");
		QComboBox_44->insertItem("femto");
		QComboBox_44->insertItem("giga");
		QComboBox_44->insertItem("hecto");
		QComboBox_44->insertItem("kilo");
		QComboBox_44->insertItem("mega ");
		QComboBox_44->insertItem("micro");
		QComboBox_44->insertItem("milli");
		QComboBox_44->insertItem("nano");
		QComboBox_44->insertItem("peta");
		QComboBox_44->insertItem("pico ");
		QComboBox_44->insertItem("tera");

		QComboBox_45=all[43];
		QComboBox_45->setGeometry(150,130,270,30);
		QComboBox_45->setMinimumSize(0,0);
		QComboBox_45->hide();
		QComboBox_45->insertItem("atto");
		QComboBox_45->insertItem("base unit");
		QComboBox_45->insertItem("centi");
		QComboBox_45->insertItem("deci");
		QComboBox_45->insertItem("deka");
		QComboBox_45->insertItem("exa");
		QComboBox_45->insertItem("femto");
		QComboBox_45->insertItem("giga");
		QComboBox_45->insertItem("hecto");
		QComboBox_45->insertItem("kilo");
		QComboBox_45->insertItem("mega ");
		QComboBox_45->insertItem("micro");
		QComboBox_45->insertItem("milli");
		QComboBox_45->insertItem("nano");
		QComboBox_45->insertItem("peta");
		QComboBox_45->insertItem("pico ");
		QComboBox_45->insertItem("tera");

		QComboBox_46= all[44];
		QComboBox_46->setGeometry(150,90,270,30);
		QComboBox_46->setMinimumSize(0,0);
		QComboBox_46->hide();
		QComboBox_46->insertItem("BTU's (int'l) per pound mass degrees R or F");
		QComboBox_46->insertItem("BTU's (therm) per pound mass degrees R or F");
		QComboBox_46->insertItem("calories (int'l) per gram degree Celsius");
		QComboBox_46->insertItem("calories (therm) per gram degree Celsius");
		QComboBox_46->insertItem("joules per gram degree Celsius");
		QComboBox_46->insertItem("joules per kilogram degree Celsius");
		QComboBox_46->insertItem("kilowatt hour per kilogram degree Celsius");

		QComboBox_47=all[45];
		QComboBox_47->setGeometry(150,130,270,30);
		QComboBox_47->setMinimumSize(0,0);
		QComboBox_47->hide();
		QComboBox_47->insertItem("BTU's (int'l) per pound mass degrees R or F");
		QComboBox_47->insertItem("BTU's (therm) per pound mass degrees R or F");
		QComboBox_47->insertItem("calories (int'l) per gram degree Celsius");
		QComboBox_47->insertItem("calories (therm) per gram degree Celsius");
		QComboBox_47->insertItem("joules per gram degree Celsius");
		QComboBox_47->insertItem("joules per kilogram degree Celsius");
		QComboBox_47->insertItem("kilowatt hour per kilogram degree Celsius");

		QComboBox_48= all[46];
		QComboBox_48->setGeometry(150,90,270,30);
		QComboBox_48->setMinimumSize(0,0);
		QComboBox_48->hide();
		QComboBox_48->insertItem("degrees Celsius");
		QComboBox_48->insertItem("degrees Fahrenheit");
		QComboBox_48->insertItem("degrees Kelvin");
		QComboBox_48->insertItem("degrees Rankine");

		QComboBox_49=all[47];
		QComboBox_49->setGeometry(150,130,270,30);
		QComboBox_49->setMinimumSize(0,0);
		QComboBox_49->hide();
		QComboBox_49->insertItem("degrees Celsius");
		QComboBox_49->insertItem("degrees Fahrenheit");
		QComboBox_49->insertItem("degrees Kelvin");
		QComboBox_49->insertItem("degrees Rankine");

		QComboBox_50= all[48];
		QComboBox_50->setGeometry(150,90,270,30);
		QComboBox_50->setMinimumSize(0,0);
		QComboBox_50->hide();
		QComboBox_50->insertItem("BTU (int'l) foot per hour square foot deg R or F");
		QComboBox_50->insertItem("BTU (therm) foot per hour square foot deg R or F");
		QComboBox_50->insertItem("BTU (int'l) inch per hour square foot deg R or F");
		QComboBox_50->insertItem("BTU (therml) inch per hour square foot deg R or F");
		QComboBox_50->insertItem("BTU (int'l) inch per second square foot deg R or F");
		QComboBox_50->insertItem("BTU (therm) inch per second square foot deg R or F");
		QComboBox_50->insertItem("calorie per centimeter second deg K or C");
		QComboBox_50->insertItem("watt per centimeter degree K or C");
		QComboBox_50->insertItem("watt per meter degree K or C");

		QComboBox_51=all[49];
		QComboBox_51->setGeometry(150,130,270,30);
		QComboBox_51->setMinimumSize(0,0);
		QComboBox_51->hide();
		QComboBox_51->insertItem("BTU (int'l) foot per hour square foot deg R or F");
		QComboBox_51->insertItem("BTU (therm) foot per hour square foot deg R or F");
		QComboBox_51->insertItem("BTU (int'l) inch per hour square foot deg R or F");
		QComboBox_51->insertItem("BTU (therml) inch per hour square foot deg R or F");
		QComboBox_51->insertItem("BTU (int'l) inch per second square foot deg R or F");
		QComboBox_51->insertItem("BTU (therm) inch per second square foot deg R or F");
		QComboBox_51->insertItem("calorie per centimeter second deg K or C");
		QComboBox_51->insertItem("watt per centimeter degree K or C");
		QComboBox_51->insertItem("watt per meter degree K or C");

		QComboBox_52= all[50];
		QComboBox_52->setGeometry(150,90,270,30);
		QComboBox_52->setMinimumSize(0,0);
		QComboBox_52->hide();
		QComboBox_52->insertItem("day");
		QComboBox_52->insertItem("day (sidereal)");
		QComboBox_52->insertItem("hour");
		QComboBox_52->insertItem("hour (sidereal)");
		QComboBox_52->insertItem("minute");
		QComboBox_52->insertItem("minute (sidereal)");
		QComboBox_52->insertItem("second");
		QComboBox_52->insertItem("second (sidereal)");
		QComboBox_52->insertItem("year");
		QComboBox_52->insertItem("year (sidereal)");
		QComboBox_52->insertItem("year (tropical)");

		QComboBox_53= all[51];
		QComboBox_53->setGeometry(150,130,270,30);
		QComboBox_53->setMinimumSize(0,0);
		QComboBox_53->hide();
		QComboBox_53->insertItem("day");
		QComboBox_53->insertItem("day (sidereal)");
		QComboBox_53->insertItem("hour");
		QComboBox_53->insertItem("hour (sidereal)");
		QComboBox_53->insertItem("minute");
		QComboBox_53->insertItem("minute (sidereal)");
		QComboBox_53->insertItem("second");
		QComboBox_53->insertItem("second (sidereal)");
		QComboBox_53->insertItem("year");
		QComboBox_53->insertItem("year (sidereal)");
		QComboBox_53->insertItem("year (tropical)");

		QComboBox_54= all[52];
		QComboBox_54->setGeometry(150,90,270,30);
		QComboBox_54->setMinimumSize(0,0);
		QComboBox_54->hide();
		QComboBox_54->insertItem("dyne centimeter");
		QComboBox_54->insertItem("kilogram force meter");
		QComboBox_54->insertItem("newton meter");
		QComboBox_54->insertItem("inch ounce");
		QComboBox_54->insertItem("foot pound");
		QComboBox_54->insertItem("inch pound");

		QComboBox_55= all[53];
		QComboBox_55->setGeometry(150,130,270,30);
		QComboBox_55->setMinimumSize(0,0);
		QComboBox_55->hide();
		QComboBox_55->insertItem("dyne centimeter");
		QComboBox_55->insertItem("kilogram force meter");
		QComboBox_55->insertItem("newton meter");
		QComboBox_55->insertItem("inch ounce");
		QComboBox_55->insertItem("foot pound");
		QComboBox_55->insertItem("inch pound");

		QComboBox_56= all[54];
		QComboBox_56->setGeometry(150,90,270,30);
		QComboBox_56->setMinimumSize(0,0);
		QComboBox_56->hide();
		QComboBox_56->insertItem("centimeter per hour");
		QComboBox_56->insertItem("cetimeter per minute");
		QComboBox_56->insertItem("centimeter per second");
		QComboBox_56->insertItem("feet per hour");
		QComboBox_56->insertItem("feet per minute");
		QComboBox_56->insertItem("feet per second");
		QComboBox_56->insertItem("inches per second");
		QComboBox_56->insertItem("kilometers per hour");
		QComboBox_56->insertItem("kilometers per minute");
		QComboBox_56->insertItem("kilometers per second");
		QComboBox_56->insertItem("knot (int'l)");
		QComboBox_56->insertItem("meters per hour");
		QComboBox_56->insertItem("meters per minute");
		QComboBox_56->insertItem("meters per second");
		QComboBox_56->insertItem("miles per hour (int'l)");
		QComboBox_56->insertItem("miles per hour (U.S.)");
		QComboBox_56->insertItem("miles per minute (int'l)");
		QComboBox_56->insertItem("miles per minute (U.S.)");
		QComboBox_56->insertItem("miles per second (int'l)");
		QComboBox_56->insertItem("miles per seond (U.S.)");
		QComboBox_56->insertItem("milimeters per hour");
		QComboBox_56->insertItem("milimeters per minute");
		QComboBox_56->insertItem("milimeters per second");

		QComboBox_57= all[55];
		QComboBox_57->setGeometry(150,130,270,30);
		QComboBox_57->setMinimumSize(0,0);
		QComboBox_57->hide();
		QComboBox_57->insertItem("centimeter per hour");
		QComboBox_57->insertItem("cetimeter per minute");
		QComboBox_57->insertItem("centimeter per second");
		QComboBox_57->insertItem("feet per hour");
		QComboBox_57->insertItem("feet per minute");
		QComboBox_57->insertItem("feet per second");
		QComboBox_57->insertItem("inches per second");
		QComboBox_57->insertItem("kilometers per hour");
		QComboBox_57->insertItem("kilometers per minute");
		QComboBox_57->insertItem("kilometers per second");
		QComboBox_57->insertItem("knot (int'l)");
		QComboBox_57->insertItem("meters per hour");
		QComboBox_57->insertItem("meters per minute");
		QComboBox_57->insertItem("meters per second");
		QComboBox_57->insertItem("miles per hour (int'l)");
		QComboBox_57->insertItem("miles per hour (U.S.)");
		QComboBox_57->insertItem("miles per minute (int'l)");
		QComboBox_57->insertItem("miles per minute (U.S.)");
		QComboBox_57->insertItem("miles per second (int'l)");
		QComboBox_57->insertItem("miles per seond (U.S.)");
		QComboBox_57->insertItem("milimeters per hour");
		QComboBox_57->insertItem("milimeters per minute");
		QComboBox_57->insertItem("milimeters per second");

		QComboBox_58= all[56];
		QComboBox_58->setGeometry(150,90,270,30);
		QComboBox_58->setMinimumSize(0,0);
		QComboBox_58->hide();
		QComboBox_58->insertItem("centipoise");
		QComboBox_58->insertItem("dyne seconds per square cetimeter");
		QComboBox_58->insertItem("gram force per seconds per sqaure centimeter");
		QComboBox_58->insertItem("grams per centimeter second");
		QComboBox_58->insertItem("kilograms per meter hour");
		QComboBox_58->insertItem("newton seconds per square meter");
		QComboBox_58->insertItem("pascal seconds");
		QComboBox_58->insertItem("poise");
		QComboBox_58->insertItem("poundal second per sqaure foot");
		QComboBox_58->insertItem("pounds force second per square foot");
		QComboBox_58->insertItem("pouns force second per square inch");
		QComboBox_58->insertItem("pounds mass per foot hour");
		QComboBox_58->insertItem("pounds mass per foot second");
		QComboBox_58->insertItem("pounds mass per inch second");
		QComboBox_58->insertItem("slugs per foot second");

		QComboBox_59= all[57];
		QComboBox_59->setGeometry(150,130,270,30);
		QComboBox_59->setMinimumSize(0,0);
		QComboBox_59->hide();
		QComboBox_59->insertItem("centipoise");
		QComboBox_59->insertItem("dyne seconds per square cetimeter");
		QComboBox_59->insertItem("gram force per seconds per sqaure centimeter");
		QComboBox_59->insertItem("grams per centimeter second");
		QComboBox_59->insertItem("kilograms per meter hour");
		QComboBox_59->insertItem("newton seconds per square meter");
		QComboBox_59->insertItem("pascal seconds");
		QComboBox_59->insertItem("poise");
		QComboBox_59->insertItem("poundal second per sqaure foot");
		QComboBox_59->insertItem("pounds force second per square foot");
		QComboBox_59->insertItem("pouns force second per square inch");
		QComboBox_59->insertItem("pounds mass per foot hour");
		QComboBox_59->insertItem("pounds mass per foot second");
		QComboBox_59->insertItem("pounds mass per inch second");
		QComboBox_59->insertItem("slugs per foot second");

		QComboBox_60=all[58];
		QComboBox_60->setGeometry(150,90,270,30);
		QComboBox_60->setMinimumSize(0,0);
		QComboBox_60->hide();
		QComboBox_60->insertItem("centimeters squared per second");
		QComboBox_60->insertItem("centistoke");
		QComboBox_60->insertItem("feet squared per hour");
		QComboBox_60->insertItem("feet squared per second");
		QComboBox_60->insertItem("inches squared per second");
		QComboBox_60->insertItem("meters squared per hour");
		QComboBox_60->insertItem("meters squared per second");
		QComboBox_60->insertItem("stoke");

		QComboBox_61= all[59];
		QComboBox_61->setGeometry(150,130,270,30);
		QComboBox_61->setMinimumSize(0,0);
		QComboBox_61->hide();
		QComboBox_61->insertItem("centimeters squared per second");
		QComboBox_61->insertItem("centistoke");
		QComboBox_61->insertItem("feet squared per hour");
		QComboBox_61->insertItem("feet squared per second");
		QComboBox_61->insertItem("inches squared per second");
		QComboBox_61->insertItem("meters squared per hour");
		QComboBox_61->insertItem("meters squared per second");
		QComboBox_61->insertItem("stoke");

		QComboBox_62= all[60];
		QComboBox_62->setGeometry(150,90,270,30);
		QComboBox_62->setMinimumSize(0,0);
		QComboBox_62->hide();
		QComboBox_62->insertItem("abvolt");
		QComboBox_62->insertItem("electromagnetic unit opf electric potential");
		QComboBox_62->insertItem("electrostatic unit of electric potential");
		QComboBox_62->insertItem("microvolt");
		QComboBox_62->insertItem("millivolt");
		QComboBox_62->insertItem("picovolt");
		QComboBox_62->insertItem("statvolt");
		QComboBox_62->insertItem("volt");

		QComboBox_63= all[61];
		QComboBox_63->setGeometry(150,130,270,30);
		QComboBox_63->setMinimumSize(0,0);
		QComboBox_63->hide();
		QComboBox_63->insertItem("abvolt");
		QComboBox_63->insertItem("electromagnetic unit opf electric potential");
		QComboBox_63->insertItem("electrostatic unit of electric potential");
		QComboBox_63->insertItem("microvolt");
		QComboBox_63->insertItem("millivolt");
		QComboBox_63->insertItem("picovolt");
		QComboBox_63->insertItem("statvolt");
		QComboBox_63->insertItem("volt");

		QComboBox_64= all[62];
		QComboBox_64->setGeometry(150,90,270,30);
		QComboBox_64->setMinimumSize(0,0);
		QComboBox_64->hide();
		QComboBox_64->insertItem("acre foot");
		QComboBox_64->insertItem("barrel (oil)");
		QComboBox_64->insertItem("barrel (US liquid)");
		QComboBox_64->insertItem("board foot");
		QComboBox_64->insertItem("bushel");
		QComboBox_64->insertItem("centiliter");
		QComboBox_64->insertItem("cubic centimeter");
		QComboBox_64->insertItem("cubic foot");
		QComboBox_64->insertItem("cubic inch");
		QComboBox_64->insertItem("cubic meter");
		QComboBox_64->insertItem("cubic millimeter");
		QComboBox_64->insertItem("cubic yard");
		QComboBox_64->insertItem("cup");
		QComboBox_64->insertItem("gallon (UK liquid)");
		QComboBox_64->insertItem("gallon (US liquid)");
		QComboBox_64->insertItem("gallon (US dry)");
		QComboBox_64->insertItem("gill (UK)");
		QComboBox_64->insertItem("gill (US)");
		QComboBox_64->insertItem("liter");
		QComboBox_64->insertItem("microliter");
		QComboBox_64->insertItem("milliliter");
		QComboBox_64->insertItem("ounce (UK fluid)");
		QComboBox_64->insertItem("ounce (US fluid)");
		QComboBox_64->insertItem("peck (UK)");
		QComboBox_64->insertItem("peck (US)");
		QComboBox_64->insertItem("pint (US liquid)");
		QComboBox_64->insertItem("pint (US dry)");
		QComboBox_64->insertItem("quart (US liquid)");
		QComboBox_64->insertItem("quart (US dry)");
		QComboBox_64->insertItem("stere");
		QComboBox_64->insertItem("tablespoon");
		QComboBox_64->insertItem("teaspoon");
		QComboBox_64->insertItem("ton (register)");

		QComboBox_65= all[63];
		QComboBox_65->setGeometry(150,130,270,30);
		QComboBox_65->setMinimumSize(0,0);
		QComboBox_65->hide();
		QComboBox_65->insertItem("acre foot");
		QComboBox_65->insertItem("barrel (oil)");
		QComboBox_65->insertItem("barrel (US liquid)");
		QComboBox_65->insertItem("board foot");
		QComboBox_65->insertItem("bushel");
		QComboBox_65->insertItem("centiliter");
		QComboBox_65->insertItem("cubic centimeter");
		QComboBox_65->insertItem("cubic foot");
		QComboBox_65->insertItem("cubic inch");
		QComboBox_65->insertItem("cubic meter");
		QComboBox_65->insertItem("cubic millimeter");
		QComboBox_65->insertItem("cubic yard");
		QComboBox_65->insertItem("cup");
		QComboBox_65->insertItem("gallon (UK liquid)");
		QComboBox_65->insertItem("gallon (US liquid)");
		QComboBox_65->insertItem("gallon (US dry)");
		QComboBox_65->insertItem("gill (UK)");
		QComboBox_65->insertItem("gill (US)");
		QComboBox_65->insertItem("liter");
		QComboBox_65->insertItem("microliter");
		QComboBox_65->insertItem("milliliter");
		QComboBox_65->insertItem("ounce (UK fluid)");
		QComboBox_65->insertItem("ounce (US fluid)");
		QComboBox_65->insertItem("peck (UK)");
		QComboBox_65->insertItem("peck (US)");
		QComboBox_65->insertItem("pint (US liquid)");
		QComboBox_65->insertItem("pint (US dry)");
		QComboBox_65->insertItem("quart (US liquid)");
		QComboBox_65->insertItem("quart (US dry)");
		QComboBox_65->insertItem("stere");
		QComboBox_65->insertItem("tablespoon");
		QComboBox_65->insertItem("teaspoon");
		QComboBox_65->insertItem("ton (register)");

		UKsizes = all[64];
		UKsizes->setGeometry(150,180,270,30);
		UKsizes->setMinimumSize(0,0);
		UKsizes->hide();
		UKsizes->setAutoResize(false);
		UKsizes->insertItem("2");
		UKsizes->insertItem("2 1/2");
		UKsizes->insertItem("3");
		UKsizes->insertItem("3 1/2");
		UKsizes->insertItem("4");
		UKsizes->insertItem("4 1/2");
		UKsizes->insertItem("5");
		UKsizes->insertItem("5 1/2");
		UKsizes->insertItem("6");
		UKsizes->insertItem("6 1/2");
		UKsizes->insertItem("7");
		UKsizes->insertItem("7 1/2");
		UKsizes->insertItem("8");
		UKsizes->insertItem("8 1/2");
		UKsizes->insertItem("9");
		UKsizes->insertItem("9 1/2");
		UKsizes->insertItem("10");
		UKsizes->insertItem("10 1/2");
		UKsizes->insertItem("11");
		UKsizes->insertItem("11 1/2");
		UKsizes->insertItem("12");
		UKsizes->insertItem("12 1/2");
		UKsizes->insertItem("13");
		UKsizes->insertItem("13 1/2");
		UKsizes->insertItem("14");
		UKsizes->insertItem("14 1/2");
		UKsizes->insertItem("15");

		European = all[65];
		European->setGeometry(150,180,270,30);
		European->setMinimumSize(0,0);
		European->hide();
		European->setAutoResize(false);
		European->insertItem("34");
		European->insertItem("34 1/2");
		European->insertItem("35");
		European->insertItem("35 1/2");
		European->insertItem("36");
		European->insertItem("36 1/2");
		European->insertItem("37");
		European->insertItem("37 1/2");
		European->insertItem("38");
		European->insertItem("38 1/2");
		European->insertItem("39");
		European->insertItem("39 1/2");
		European->insertItem("40");
		European->insertItem("40 1/2");
		European->insertItem("41");
		European->insertItem("41 1/2");
		European->insertItem("42");
		European->insertItem("42 1/2");
		European->insertItem("43");
		European->insertItem("43 1/2");
		European->insertItem("44");
		European->insertItem("45");
		European->insertItem("46");
		European->insertItem("46 1/2");

		EuropUK = false;
		EuropUSM = false;
		EuropUSF = false;
		UKEurop = false;
		UKUSM = false;
		UKUSF = false;
		USMEurop = false;
		USMUK = false;
		USMUSF = false;
		USFEurop = false;
		USFUK = false;
		USFUSM = false;


}
