/***************************************************************************
                               therm_cond.cpp
                             -------------------
    begin                : Sun Apr 30 2000
    copyright            : (C) 2000 by Jan Schaumann
    email                : jschauma@stevens-tech.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


 #include "main_widget.h"

 float main_widget::therm_cond(int box, int x) {
  TheString = new QString("\"thermal conductivity\": the quantity of heat that\n"
			  "passes in unit time through unit area of a plate whose\n"
			  "thickness is unity, when its opposite faces differ in temperature by one degree.");
  float ret_val;
	ret_val = 0.0;
	int y;
	if (box==48) {
		y=x;
		x = all[box+1]->currentItem();
	}
	else
		y = all[box-1]->currentItem();
	
	if (x==y) {
		ret_val = 1.0;
	}
	else if (x==0) {
		if (y==1) {
			ret_val = 0.9993309201004198;
		}
		else if (y==2) {
			ret_val = 0.08333332370351325;
		}
		else if (y==3) {
			ret_val = 0.08327733592953283;
		}
		else if (y==4) {
			ret_val = 299.99994222107955;
		}
		else if (y==5) {
			ret_val = 299.79933380904646;
		}
		else if (y==6) {
			ret_val = 241.74700344073472;
		}
		else if (y==7) {
			ret_val = 57.778920516427995;
		}
		else if (y==8) {
			ret_val = 0.5777892051642799;
		}
	}
	else if (x==1) {
		if (y==0) {
			ret_val = 1.0006695278672184;
		}
		else if (y==2) {
			ret_val = 0.08338911768600069;
		}
		else if (y==3) {
			ret_val = 0.08333309242664537;
		}
		else if (y==4) {
			ret_val = 300.20080054256044;
		}
		else if (y==5) {
			ret_val = 300.0000578176051;
		}
		else if (y==6) {
			ret_val = 241.90885979635482;
		}
		else if (y==7) {
			ret_val = 57.81760511385154;
		}
		else if (y==8) {
			ret_val = 0.5781760511385154;
		}
	}
	else if (x==2) {
		if (y==0) {
			ret_val = 12.000001386694253;
		}
		else if (y==1) {
			ret_val = 11.991972426971481;
		}
		else if (y==3) {
			ret_val = 0.9993281466345971;
		}
		else if (y==4) {
			ret_val = 3599.99972266115;
		}
		else if (y==5) {
			ret_val = 3597.5924214385705;
		}
		else if (y==6) {
			ret_val = 2900.9643765179967;
		}
		else if (y==7) {
			ret_val = 693.3471263188329;
		}
		else if (y==8) {
			ret_val = 6.93347126318833;
		}
	}
	else if (x==3) {
		if (y==0) {
			ret_val = 12.00806904829634;
		}
		else if (y==1) {
			ret_val = 12.000034690663353;
		}
		else if (y==2) {
			ret_val = 1.000672305055817;
		}
		else if (y==4) {
			ret_val = 3602.4200206756354;
		}
		else if (y==5) {
			ret_val = 3600.0111010122732;
		}
		else if (y==6) {
			ret_val = 2902.9147095350754;
		}
		else if (y==7) {
			ret_val = 693.8132670972934;
		}
		else if (y==8) {
			ret_val = 6.938132670972934;
		}
	}
	else if (x==4) {
		if (y==0) {
			ret_val = 0.0033333339753214624;
		}
		else if (y==1) {
			ret_val = 0.003331103708559987;
		}
		else if (y==2) {
			ret_val = 2.7777779917738203E-4;
		}
		else if (y==3) {
			ret_val = 2.775911732281705E-4;
		}
		else if (y==5) {
			ret_val = 0.9993313051644349;
		}
		else if (y==6) {
			ret_val = 0.8058235000011554;
		}
		else if (y==7) {
			ret_val = 0.19259643881480773;
		}
		else if (y==8) {
			ret_val = 0.0019259643881480773;
		}
	}
	else if (x==5) {
		if (y==0) {
			ret_val = 0.0033355644500429006;
		}
		else if (y==1) {
			ret_val = 0.0033333326909156225;
		}
		else if (y==2) {
			ret_val = 2.7796367204935616E-4;
		}
		else if (y==3) {
			ret_val = 2.7777692122083007E-4;
		}
		else if (y==4) {
			ret_val = 1.000669142287557;
		}
		else if (y==6) {
			ret_val = 0.8063627105813135;
		}
		else if (y==7) {
			ret_val = 0.19272531323645162;
		}
		else if (y==8) {
			ret_val = 0.0019272531323645161;
		}
	}
	else if (x==6) {
		if (y==0) {
			ret_val = 0.004136555927342256;
		}
		else if (y==1) {
			ret_val = 0.0041337882409177825;
		}
		else if (y==2) {
			ret_val = 3.447129541108987E-4;
		}
		else if (y==3) {
			ret_val = 3.444813575525813E-4;
		}
		else if (y==4) {
			ret_val = 1.2409665391969409;
		}
		else if (y==5) {
			ret_val = 1.2401367112810708;
		}
		else if (y==7) {
			ret_val = 0.23900573613766732;
		}
		else if (y==8) {
			ret_val = 0.002390057361376673;
		}
	}
	else if (x==7) {
		if (y==0) {
			ret_val = 0.01730735;
		}
		else if (y==1) {
			ret_val = 0.01729577;
		}
		else if (y==2) {
			ret_val = 0.0014422789999999999;
		}
		else if (y==3) {
			ret_val = 0.0014413100000000001;
		}
		else if (y==4) {
			ret_val = 5.192204;
		}
		else if (y==5) {
			ret_val = 5.188732;
		}
		else if (y==6) {
			ret_val = 4.184;
		}
		else if (y==8) {
			ret_val = 0.01;
		}
	}
	else if (x==8) {
		if (y==0) {
			ret_val = 1.730735;
		}
		else if (y==1) {
			ret_val = 1.729577;
		}
		else if (y==2) {
			ret_val = 0.1442279;
		}
		else if (y==3) {
			ret_val = 0.144131;
		}
		else if (y==4) {
			ret_val = 519.2204;
		}
		else if (y==5) {
			ret_val = 518.8732;
		}
		else if (y==6) {
			ret_val = 418.4;
		}
		else if (y==8) {
			ret_val = 100.0;
		}
	}
	return ret_val;
 }
